HP-UX 11 CDE DTPrintInfo Display Environment Variable Buffer Overflow Vulnerability

2014-07-01T00:00:00
ID SSV:77012
Type seebug
Reporter Root
Modified 2014-07-01T00:00:00

Description

No description provided by source.

                                        
                                            
                                                source: http://www.securityfocus.com/bid/8795/info

It has been reported that dtprintinfo, installed setuid root by default, is susceptible to a locally exploitable buffer overflow vulnerability. The condition is triggered when the value of the DISPLAY environment variable is set to a string exceeding 9777 bytes in length. The vulnerability may allow for local attackers to gain root privileges on the affected host. 

export DISPLAY="`perl -e 'printf "A" x 9777'`"